Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.validate
Class NamePropertyId

    java.lang.Object
      com.thaiopensource.util.PropertyId
          com.thaiopensource.validate.NamePropertyId

    public class NamePropertyId

extends PropertyId

A PropertyId whose value is constrained to be an instance of Name.

See Also:
  `Name`

Constructor Summary
`NamePropertyId(String name)`

Method Summary
`com.thaiopensource.xml.util.Name` | `get(PropertyMap properties)` Returns the value of the property.
`com.thaiopensource.xml.util.Name` | `put(PropertyMapBuilder builder, com.thaiopensource.xml.util.Name value)` Sets the value of the property.

Methods inherited from class com.thaiopensource.util.PropertyId
`equals, getValueClass, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamePropertyId

    public NamePropertyId(String name)

Method Detail

### get

    public com.thaiopensource.xml.util.Name get(PropertyMap properties)

  Returns the value of the property. This is a typesafe version of `PropertyMap.get`.

  Parameters:
    `properties` - the PropertyMap to be used
  Returns:
    the Name to which the PropertyMap maps this PropertyId, or `null` if this PropertyId is not in the PropertyMap
  See Also:
    `PropertyMap.get(com.thaiopensource.util.PropertyId)`

### put

    public com.thaiopensource.xml.util.Name put(PropertyMapBuilder builder,
                                                com.thaiopensource.xml.util.Name value)

  Sets the value of the property. Modifies the PropertyMapBuilder so that this PropertyId is mapped to the specified value. This is a typesafe version of PropertyMapBuilder.put.

  Parameters:
    `builder` - the PropertyMapBuilder to be modified
    `value` - the Name to which this PropertyId is to be mapped
  Returns:
    the Name to which this PropertyId was mapped before, or `null` if it was not mapped
  See Also:
    `PropertyMapBuilder.put(com.thaiopensource.util.PropertyId, java.lang.Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD